# cyclonedx.contrib.vulnerability.cvss

CVSS related utilities

## Functions

`vs_from_cvss_scores`(...) | Derives the Severity of a Vulnerability from it's declared CVSS scores.

## Module Contents

cyclonedx.contrib.vulnerability.cvss.vs_from_cvss_scores(scores: tuple[float, Ellipsis] | float | None) → cyclonedx.model.vulnerability.VulnerabilitySeverity

  Derives the Severity of a Vulnerability from it’s declared CVSS scores.

  Args:

    scores: A tuple of CVSS scores. CVSS scoring system allows for up to three separate scores.

  Returns:

    Always returns an instance of `cyclonedx.model.vulnerability.VulnerabilitySeverity`.